/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmsolicitudtramitePK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CSOLICITUD")
    private String csolicitud;
    @Basic(optional = false)
    @Column(name = "CTRAMITE")
    private long ctramite;

    public TarmsolicitudtramitePK() {
    }

    public TarmsolicitudtramitePK(String csolicitud, long ctramite) {
        this.csolicitud = csolicitud;
        this.ctramite = ctramite;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    public long getCtramite() {
        return ctramite;
    }

    public void setCtramite(long ctramite) {
        this.ctramite = ctramite;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (csolicitud != null ? csolicitud.hashCode() : 0);
        hash += (int) ctramite;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmsolicitudtramitePK)) {
            return false;
        }
        TarmsolicitudtramitePK other = (TarmsolicitudtramitePK) object;
        if ((this.csolicitud == null && other.csolicitud != null) || (this.csolicitud != null && !this.csolicitud.equals(other.csolicitud))) {
            return false;
        }
        if (this.ctramite != other.ctramite) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmsolicitudtramitePK[ csolicitud=" + csolicitud + ", ctramite=" + ctramite + " ]";
    }
    
}
